<?php
namespace App\Models;
use Storage;

class Config extends \App\Models\AbstractModels\AbstractConfig
{
  const STATI_SEGNALAZIONI_HOME = 'stati_segnalazioni_home';
  const TESTO_PRIVACY = 'testo_privacy';
  const STATO_DA_COMPLETARE = 'stato_da_completare';
  const ATTIVITA_VIAGGIO = 'attivita_viaggio';
  const ATTIVITA_TECNICO_AGGIUNTIVO = 'attivita_tecnico_aggiuntivo';

  public static function getConfig(){
    $config = [];
    $config['Generale'] = [
      ['key' => self::STATI_SEGNALAZIONI_HOME, 'value' => null, 'display_name' => 'Stati delle segnalazioni da mostrare nella home', 'type' => 'array_status'],
      ['key' => self::STATO_DA_COMPLETARE, 'value' => null, 'display_name' => 'Stato "da completare"', 'type' => 'select_status'],
      ['key' => self::TESTO_PRIVACY, 'value' => null, 'display_name' => 'Testo privacy in calce al pdf', 'type' => 'textarea'],
      ['key' => self::ATTIVITA_VIAGGIO, 'value' => null, 'display_name' => 'Attività "Viaggio"', 'type' => 'activity'],
      ['key' => self::ATTIVITA_TECNICO_AGGIUNTIVO, 'value' => null, 'display_name' => 'Attività "tecnico aggiuntivo"', 'type' => 'activity'],
    ];


    return $config;
  }

  public static function getValue($key){
    try{
      return Config::where([['key', $key], ['azienda_id', session('azienda')->id]])->first()->value;
    }catch(\Exception $e){
      return 0;
    }
  }

}
